This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 998718 - wireless WPA2 / PEAP keeps disconnecting [NEEDINFO]
wireless WPA2 / PEAP keeps disconnecting
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-wireless-realtek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 16:54 EDT by Ólafur Waage
Modified: 2014-03-10 10:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:41:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
/var/log/messages (115.59 KB, text/plain)
2013-08-19 16:54 EDT, Ólafur Waage
no flags Details
Patched Driver - Fedora 19 Linux 3.10 (12.52 MB, application/x-bzip-compressed-tar)
2013-09-09 07:57 EDT, Ólafur Waage
no flags Details

  None (edit)
Description Ólafur Waage 2013-08-19 16:54:53 EDT
Created attachment 788199 [details]
/var/log/messages

Description of problem: This is very similar to 965791.

When connected to a network with  WPA2 / PEAP, the wireless connection is dropped every few minutes. It is able to reconnect a minute later only to be dropped again.

This happens both with my onboard wifi (RTL8191SEvB) and my wifi usb dongle (RTL8188CUS)

Version-Release number of selected component (if applicable):
3.10.7-200.fc19.x86_64
NetworkManager-0.9.8.2-8.git20130709.fc19.x86_64
wpa_supplicant-2.0-3.fc19.x86_64

How reproducible: Always


Steps to Reproduce:
1. Connect to the WPA2 using networkmanager
2. Put in PEAP and username and password
3. Wait for it to connect
4. It sometimes asks for the password again

Actual results:
Connection is dropped after a few minutes.

Expected results:
Stable connection

Additional info:
Comment 1 Ólafur Waage 2013-08-20 08:38:15 EDT
I have compiled the realtek driver from their page (rtl8192cu). It took a few patches to get fixed on 3.10

It seems to work a lot smoother. I have not disconnected since I rebooted. I blacklisted all the rtl drivers.

http://unix.stackexchange.com/a/82574/45472

This answer from Lenko helped me build this fast. I can attach the patches I used if you want since finding them was not simple (since many of the pages are now 404'd)
Comment 2 ringbearer91 2013-09-03 02:06:25 EDT
(In reply to Ólafur Waage from comment #1)
> I have compiled the realtek driver from their page (rtl8192cu). It took a
> few patches to get fixed on 3.10
> 
> It seems to work a lot smoother. I have not disconnected since I rebooted. I
> blacklisted all the rtl drivers.
> 
> http://unix.stackexchange.com/a/82574/45472
> 
> This answer from Lenko helped me build this fast. I can attach the patches I
> used if you want since finding them was not simple (since many of the pages
> are now 404'd)

Please do; I'm attempting to get this built myself and not having much success.
Comment 3 Ólafur Waage 2013-09-09 07:57:09 EDT
Created attachment 795588 [details]
Patched Driver - Fedora 19 Linux 3.10

Patched added. Works on Fedora 19 - Linux 3.10
Comment 4 ringbearer91 2013-09-09 10:17:04 EDT
(In reply to Ólafur Waage from comment #3)
> Created attachment 795588 [details]
> Patched Driver - Fedora 19 Linux 3.10
> 
> Patched added. Works on Fedora 19 - Linux 3.10

Thanks very much for posting this. Unfortunately, when I try to insert the module, I get "Exec format error." The module will compile when I build from the sources you posted, but it will not insert for some reason.

Output of uname -a:

Linux localhost 3.10.10-200.fc19.x86_64 #1 SMP Thu Aug 29 19:05:45 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 5 Josh Boyer 2013-09-18 16:53:14 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 6 Ólafur Waage 2013-09-18 17:08:19 EDT
Will be tested this week. I still have the laptop on which I can reproduce this with both chipsets.
Comment 7 ringbearer91 2013-09-20 00:49:44 EDT
(In reply to Ólafur Waage from comment #6)
> Will be tested this week. I still have the laptop on which I can reproduce
> this with both chipsets.

I apologize for the confusion - I can in fact insert the module while running 3.10.x kernels - I had accidentally copied the module into /usr/lib/modules/$(uname -r)/kernel/net/wireless instead of /usr/lib/modules/$(uname -r)/kernel/drivers/net/wireless.

With this module I can actually stay connected to networks, unlike the kernel-provided driver which either fails to connect at all or disconnects after a few seconds. It's not perfect, but it's a major improvement. Thank you.
Comment 8 Justin M. Forbes 2014-01-03 17:09:30 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 9 Justin M. Forbes 2014-03-10 10:41:33 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.